## isdnutils 3.6.2005-01

=== Makefile ===
# $Id: Makefile,v 1.57 2004/12/13 22:06:49 keil Exp $
#
# Toplevel Makefile for isdn4k-utils
#

.EXPORT_ALL_VARIABLES:

export I4LVERSION = 3.6

all:	do-it-all

#
# Make "config" the default target if there is no configuration file.
#

# Following line is important for lib and isdnlog (sl).
export ROOTDIR=$(shell pwd)

ifeq (.config,$(wildcard .config))
include .config
do-it-all:      subtargets
else
CONFIGURATION = config
do-it-all:      config
endif

EXTRADIRS = isdnlog/tools/zone isdnlog/tools/dest

BUILD_ONLY :=
SUBDIRS :=
ifeq ($(CONFIG_ISDNLOG),y)
	SUBDIRS := $(SUBDIRS) lib $(EXTRADIRS) isdnlog
	BUILD_ONLY := isdnlog/tools/cdb
else
	ifeq ($(CONFIG_CTRL_CONF),y)
		SUBDIRS := $(SUBDIRS) lib
	endif
endif
ifeq ($(CONFIG_ISDNCTRL),y)
	SUBDIRS := $(SUBDIRS) isdnctrl
endif
ifeq ($(CONFIG_DIVERTCTRL),y)
	SUBDIRS := $(SUBDIRS) divertctrl
endif
ifeq ($(CONFIG_IPROFD),y)
	SUBDIRS := $(SUBDIRS) iprofd
endif
ifeq ($(CONFIG_ICNCTRL),y)
	SUBDIRS := $(SUBDIRS) icn
endif
ifeq ($(CONFIG_PCBITCTL),y)
	SUBDIRS := $(SUBDIRS) pcbit
endif
ifeq ($(CONFIG_HISAXCTRL),y)
	SUBDIRS := $(SUBDIRS) hisax
endif

ifeq ($(CONFIG_RCAPID),y)
	SUBDIRS := $(SUBDIRS) capi20 capiinfo
else
	ifeq ($(CONFIG_AVMCAPICTRL),y)
		SUBDIRS := $(SUBDIRS) capi20 capiinfo
	endif
endif

ifeq ($(CONFIG_AVMCAPICTRL),y)
	SUBDIRS := $(SUBDIRS) avmb1 capiinit
endif
ifeq ($(CONFIG_ACTCTRL),y)
	SUBDIRS := $(SUBDIRS) act2000
endif
ifeq ($(CONFIG_LOOPCTRL),y)
	SUBDIRS := $(SUBDIRS) loop
endif
ifeq ($(CONFIG_EICONCTRL),y)
	SUBDIRS := $(SUBDIRS) eicon
endif
ifeq ($(CONFIG_IMON),y)
	SUBDIRS := $(SUBDIRS) imon
endif
ifeq ($(CONFIG_IMONTTY),y)
	SUBDIRS := $(SUBDIRS) imontty
endif
ifeq ($(CONFIG_IPPPSTATS),y)
	SUBDIRS := $(SUBDIRS) ipppstats
endif
ifeq ($(CONFIG_XMONISDN),y)
	SUBDIRS := $(SUBDIRS) xmonisdn
endif
ifeq ($(CONFIG_XISDNLOAD),y)
	SUBDIRS := $(SUBDIRS) xisdnload
endif
ifeq ($(CONFIG_IPPPD),y)
	SUBDIRS := $(SUBDIRS) ipppd
endif
ifeq ($(CONFIG_VBOX),y)
	SUBDIRS := $(SUBDIRS) vbox
endif
ifeq ($(CONFIG_RCAPID),y)
	SUBDIRS := $(SUBDIRS) rcapid
endif
ifeq ($(CONFIG_CAPIFAX),y)
	SUBDIRS := $(SUBDIRS) capifax
endif
ifeq ($(CONFIG_PPPDCAPIPLUGIN),y)
	SUBDIRS := $(SUBDIRS) pppdcapiplugin
endif
ifeq ($(CONFIG_GENMAN),y)
	SUBDIRS := $(SUBDIRS) doc
endif
ifeq ($(CONFIG_FAQ),y)
	SUBDIRS := $(SUBDIRS) FAQ
endif
ifeq ($(CONFIG_EUROFILE),y)
	SUBDIRS := $(SUBDIRS) eurofile
endif
ifneq ($(SUBDIRS),)
	ifeq ($(filter lib,$(SUBDIRS)),)
		SUBDIRS := lib $(SUBDIRS)
	endif
endif

subtargets: $(CONFIGURATION)
	set -e; for i in `echo $(BUILD_ONLY) $(SUBDIRS)`; do $(MAKE) -C $$i all; done

rootperm:
	@echo 'main(int argc,char**argv){unlink(argv[0]);return(getuid()==0);}'>g
	@if gcc -x c -o G g && rm -f g && ./G ; then \
		/bin/echo -e "\n\n      Need root permission for (de)installation!\n\n"; \
		exit 1; \
	fi

install: rootperm
	set -e; for i in `echo $(SUBDIRS)`; do $(MAKE) -C $$i install; done
	@if [ -c $(DESTDIR)/dev/isdnctrl0 ] && ls -l $(DESTDIR)/dev/isdnctrl0 | egrep "[[:space:]]45,[[:space:]]+64[[:space:]]" > /dev/null; \
	then \
		/bin/echo -e '(some) ISDN devices already exist, not creating them.\nUse scripts/makedev.sh manually if necessary.'; \
	else \
		sh scripts/makedev.sh $(DESTDIR) ; \
	fi

uninstall: rootperm
	set -e; for i in `echo $(SUBDIRS)`; do $(MAKE) -C $$i uninstall; done

#
# targets clean and distclean go through ALL directories
# regardless of configured options.
#
clean:
	-set -e; \
	for i in `echo ${wildcard */GNUmakefile}`; do \
		$(MAKE) -i -C `dirname $$i` clean; \
	done;
	-set -e; \
	for i in `echo ${wildcard */Makefile}`; do \
		$(MAKE) -i -C `dirname $$i` clean; \
	done;
	for i in `echo $(BUILD_ONLY) $(EXTRADIRS)`; do \
		if [ -f $$i/Makefile ]; then $(MAKE) -i -C $$i clean; fi; \
	done;
	-rm -f *~ *.o

distclean: clean
	-$(MAKE) -C scripts/lxdialog clean
	-set -e; \
	for i in `echo ${wildcard */GNUmakefile}`; do \
		$(MAKE) -i -C `dirname $$i` distclean; \
	done;
	-set -e; \
	for i in `echo ${wildcard */Makefile}`; do \
		if [ -f $$i ] ; then \
			$(MAKE) -i -C `dirname $$i` distclean; \
		fi ; \
	done;
	for i in `echo $(BUILD_ONLY) $(EXTRADIRS)`; do \
		if [ -f $$i/Makefile ]; then $(MAKE) -i -C $$i distclean; fi; \
	done;
	-rm -f *~ .config .config.old scripts/autoconf.h .menuconfig \
		Makefile.tmp .menuconfig.log scripts/defconfig.old
	find . -name '.#*' -exec rm -f {} \;

scripts/lxdialog/lxdialog:
	@$(MAKE) -C scripts/lxdialog all

scripts/autoconf.h: .config
	perl scripts/mk_autoconf.pl

cfgerror:
	@echo ""
	@echo "WARNING! Configure in $(ERRDIR) failed, disabling package"
	@echo ""
	@sleep 1
	@cp etc/Makefile.disabled $(ERRDIR)/Makefile

# Next target makes three attempts to configure:
#  - if a configure script exists, execute it
#  - if a Makefile.in exists, make -f Makefile.in config
#  - if a Makefile already exists, make config
#
subconfig: scripts/autoconf.h
	@echo Selected subdirs: $(BUILD_ONLY) $(SUBDIRS)
	@set -e; for i in `echo $(BUILD_ONLY) $(SUBDIRS)`; do \
		if [ -x $$i/configure ] ; then \
			/bin/echo -e "\nRunning configure in $$i ...\n"; sleep 1; \
			(cd $$i; ./configure --sbindir=$(CONFIG_SBINDIR) --bindir=$(CONFIG_BINDIR) --mandir=$(CONFIG_MANDIR) --datadir=$(CONFIG_DATADIR) || $(MAKE) -C ../ ERRDIR=$$i cfgerror); \
		elif [ -f $$i/Makefile.in ] ; then \
			/bin/echo -e "\nRunning make -f Makefile.in config in $$i ...\n"; sleep 1; \
			$(MAKE) -C $$i -f Makefile.in config; \
		elif [ -f $$i/Makefile ] ; then \
			/bin/echo -e "\nRunning make config in $$i ...\n"; sleep 1; \
			$(MAKE) -C $$i config; \
		fi; \
	done

#
# Next target uses a second tempory Makefile
# because new .config has to be re-included.
#
menuconfig: scripts/lxdialog/lxdialog
	@scripts/Menuconfig scripts/config.in
	@cp Makefile Makefile.tmp
	$(MAKE) -f Makefile.tmp subconfig
	@rm -f Makefile.tmp

#
# For testing: runs Menuconfig only
#
testconfig: scripts/lxdialog/lxdialog
	@scripts/Menuconfig scripts/config.in

config: menuconfig

mrproper: distclean

archive: distclean
	@(cd .. ;\
	ln -nfs isdn4k-utils isdn4k-utils-$(I4LVERSION) ;\
	mkdir -p distisdn ;\
	tar cvhzf distisdn/isdn4k-utils-$(I4LVERSION).tar.gz isdn4k-utils-$(I4LVERSION) ;\
	rm isdn4k-utils-$(I4LVERSION) )

distarch: distclean
	(cd .. ;\
	ln -nfs isdn4k-utils isdn4k-utils-$(I4LVERSION) ;\
	mkdir -p distisdn ;\
	tar -cvhz -X isdn4k-utils/distexclude -f distisdn/isdn4k-utils-$(I4LVERSION).tar.gz \
	isdn4k-utils-$(I4LVERSION) ;\
	rm isdn4k-utils-$(I4LVERSION) )

dist: distarch

## isdnutils 3.7.2005-07

=== Makefile ===
--- 
+++ 
@@ -1,11 +1,11 @@
-# $Id: Makefile,v 1.57 2004/12/13 22:06:49 keil Exp $
+# $Id: Makefile,v 1.58 2005/02/21 17:51:57 keil Exp $
 #
 # Toplevel Makefile for isdn4k-utils
 #
 
 .EXPORT_ALL_VARIABLES:
 
-export I4LVERSION = 3.6
+export I4LVERSION = 3.7
 
 all:	do-it-all

## isdnutils 3.9.20060704+dfsg.2

=== debian/changelog ===
isdnutils (1:3.9.20060704+dfsg.2-12) unstable; urgency=low

  * debian/libcapi20-3.links: link *.so to *.so.0.0.0 (Closes: #650156)
    Many thanks to Michael Müller for his work on the issue.
  * rely more on debhelper instead of fragile scripting
    - let dh7 take care of some of the stuff in debian/finish-install*.sh
    - replace dh_movefiles with dh_install
    - use specialized debhelper tools for docs, man pages and examples
    - rely on dh_lintian for the overrides
  * debian/patches/ALL_*.patch: strip unnecessary linking from builds
  * debian/rules:
    - empty dependency_libs field in .la files
    - use dh_prep instead of dh_clean -k
    - use $CURDIR instead of $pwd
  * debian/libcapi20-3.README: add information how to recompile for debugging
  * debian/*.lintian-overrides: fix some syntactical errors
  * drop transitional binary metapackage isdnutils
  * debian/*.dirs:
    - fix isdnutils-doc touching usr/share/doc/isdnutils
    - drop erroneous /usr/man/man1 directory from isdnutils-xtools.dirs
  * drop debian/*.conffiles (unnecessary since compat level 3 already)

 -- Rolf Leggewie <foss@rolf.leggewie.biz>  Tue, 29 Nov 2011 14:20:45 +0800

isdnutils (1:3.9.20060704+dfsg.2-11) unstable; urgency=low

  [ Jeroen Schot ]
  * debian/po: add Dutch translation. Closes: #626896

  [ Joe Dalton ]
  * debian/po: add Danish translation.  Closes: #626306

  [ Rolf Leggewie ]
  * debian/control:
    - build for Architecture: linux-any. Closes: #644333
    - make sure that isdnlog is safe for binNMU
    - bump up to policy 3.9.2. still not lintian-clean.
  * debian/libcapi20: ship usr/lib/capi/*.so.* files
  * streamline debian rules and leverage more of debhelper7 magic
    - bump debhelper version requirement
    - bump compat for debian/clean support
    - move some of the clean target out of debian/rules and into debian/clean
    - remove some comments
    - still loads of work left to be done
  * debian/patches: strip uselessly added linkage from no-imake.patch

 -- Rolf Leggewie <foss@rolf.leggewie.biz>  Mon, 10 Oct 2011 20:29:25 +0800

isdnutils (1:3.9.20060704+dfsg.2-10) unstable; urgency=medium

  * debian/patches/: update vbox-autotools.patch. Closes: #618228
    make the build-system agnostic to tcl-version from the build host
  * debian/control
    - allow uploads by Debian Maintainers
    - drop build dependency on automake1.4, possibility for further
      simplifications need to be investigated, help more than welcome!

 -- Rolf Leggewie <foss@rolf.leggewie.biz>  Sat, 16 Jul 2011 04:22:45 +0900

isdnutils (1:3.9.20060704+dfsg.2-9) experimental; urgency=low

  * capi20: grab Jan-Michael's new code from cvs. LP: 420918
  * debian/patches:
    - rebase capi20-h-needs-stddef-h.patch to newest capi20 code
    - apply load_capifs_silently.patch from Jan Kiszka
      capifs will be dropped in kernel >= 2.6.38
  * debian/rules: drop call to debconf-updatepo
  * debian/init.d.functions: force overwriting a dangling symlink
    as discussed in bug 609736

 -- Rolf Leggewie <foss@rolf.leggewie.biz>  Sun, 31 Oct 2010 09:51:08 +0900

isdnutils (1:3.9.20060704+dfsg.2-8) unstable; urgency=low

  * remove calls to MAKEDEV from *.postinst and init.d.functions
    they should no longer be necessary. Closes: #607387

 -- Rolf Leggewie <foss@rolf.leggewie.biz>  Mon, 27 Dec 2010 12:54:01 +0800

isdnutils (1:3.9.20060704+dfsg.2-7) unstable; urgency=medium

  * debian/*.postinst: hardcode path to MAKEDEV
    Closes: #604219, #604211, #597926, #604216
  * debian/control: 
    - drop explicit dependency on "udev|makedev", this is picked up
      automatically
    - add armhf support.  Closes: #604675

 -- Rolf Leggewie <foss@rolf.leggewie.biz>  Thu, 25 Nov 2010 20:47:52 +0100

isdnutils (1:3.9.20060704+dfsg.2-6) unstable; urgency=low

  * turn "abort on error" in debian/isdnutils-base.config and
    debian/isdnvboxserver.config off until further analysis has been done
    (c.f. bugs 601768 and 554537 which report upgrade breakage)

 -- Rolf Leggewie <foss@rolf.leggewie.biz>  Fri, 29 Oct 2010 21:39:39 +0900

isdnutils (1:3.9.20060704+dfsg.2-5) unstable; urgency=low

  * debian/control:
    - take over maintainership of isdnutils (Closes: #546946)
    - bump to standard 3.9.1 (still not lintian clean)
      drop a couple of obsolete lintian overrides
    - add Homepage and Vcs fields
  * rename isdnutils.lintian-overrides to source.lintian-overrides
  * abort on error for maintenance scripts as recommend by policy
    - debian/isdnutils-base.config
    - debian/isdnvboxserver.config
  * debian/watch: adjust dversionmangle to work with dfsg-numbering
  * fix section inconsistencies for a number of man pages
  * debian/copyright: add my copyright
  * isdnlog: fix spelling mistake in dest.cdb (Closes: #593136)

 -- Rolf Leggewie <foss@rolf.leggewie.biz>  Thu, 28 Oct 2010 07:17:42 +0900

isdnutils (1:3.9.20060704+dfsg.2-4) unstable; urgency=low

  * QA upload
  * Add va_list.patch to debian/patches/series (Closes: #600037).

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Fri, 15 Oct 2010 11:27:39 +0900

isdnutils (1:3.9.20060704+dfsg.2-3) unstable; urgency=low

  * QA upload
  * Rebuild including the architecture-indepdendent binaries

 -- Ben Hutchings <ben@decadent.org.uk>  Thu, 14 Oct 2010 03:13:14 +0100

isdnutils (1:3.9.20060704+dfsg.2-2) unstable; urgency=low

  * QA upload
  * Fix short diff context in ippd-ms-chap.patch which caused lenny's
    patch command (and dpkg-source) to reject it

 -- Ben Hutchings <ben@decadent.org.uk>  Sun, 10 Oct 2010 00:07:00 +0100

isdnutils (1:3.9.20060704+dfsg.2-1) unstable; urgency=low

  * QA upload
  * Restore ipppd, replacing the GPL-licenced code (Closes: #599627)

 -- Ben Hutchings <ben@decadent.org.uk>  Sat, 09 Oct 2010 19:14:37 +0100

isdnutils (1:3.9.20060704+dfsg.1-3) unstable; urgency=low

  * QA upload.
  * Replace tcl8.3-dev Build Dependency with tcl-dev (Closes: #590651). 



=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper. 
# GNU copyright 1997 by Joey Hess.

# Uncomment this to turn on verbose mode. 
# export DH_VERBOSE=1

# This has to be exported to make some magic below work.
export DH_OPTIONS

# brace expansion
export SHELL=/bin/bash

DEB_HOST_ARCH		?= $(shell dpkg-architecture -qDEB_HOST_ARCH)
DEB_HOST_GNU_TYPE	?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

some_arch_match := no
ifeq ($(DEB_HOST_ARCH),$(findstring $(DEB_HOST_ARCH),hurd sh))
  some_arch_match := yes
endif

distribution := $(shell lsb_release -is)

auto: auto-update-stamp
auto-update-stamp:
	: # update autotools files
	for d in capi20 isdnlog/client vbox3; do \
	  cp -p /usr/share/misc/config.* $$d/; \
	done

	@set -e; \
	for d in capi20; do \
	  echo "Regenerating autotools files in $$d ..."; \
	  cd $$d; \
	  echo "  libtool"; libtoolize -c -f ; \
	  echo "  aclocal-1.9"; aclocal-1.9; \
	  echo "  automake-1.9"; automake-1.9 --add-missing; \
	  cd ..; \
	done

	@set -e; \
	for d in capifax capiinfo capiinit rcapid; do \
	  echo "Regenerating autotools files in $$d ..."; \
	  cd $$d; \
	  echo "  aclocal"; aclocal; \
	  echo "  autoconf"; autoconf; \
	  case "$$d" in rcapid);; *) echo "  autoheader"; autoheader; esac; \
	  echo "  automake"; automake --add-missing; \
	  touch configure.in; \
	  touch aclocal.m4; \
	  touch configure; \
	  cd ..; \
	done

ifeq (0,1)
	: # does not work, automake-1.3 was used ...
	@set -e; \
	for d in isdnlog/client; do \
	  echo "Regenerating autotools files in $$d ..."; \
	  cd $$d; \
	  echo "  aclocal"; aclocal; \
	  echo "  autoconf"; autoconf; \
	  echo "  autoheader"; autoheader; \
	  echo "  automake"; automake -c --add-missing; \
	  touch configure.in; \
	  touch aclocal.m4; \
	  touch configure; \
	  cd ..; \
	done
endif
	@set -e; \
	for d in vbox; do \
	  echo "Regenerating autotools files in $$d ..."; \
	  cd $$d; \
	  echo "  aclocal-1.7"; aclocal-1.7; \
	  echo "  autoconf"; autoconf; \
	  echo "  automake-1.7"; automake-1.7 -c --add-missing; \
	  touch configure.in; \
	  touch aclocal.m4; \
	  touch configure; \
	  cd ..; \
	done

	@set -e; \
	for d in eicon; do \
	  echo "Regenerating autotools files in $$d ..."; \
	  cd $$d; \
	  echo "  autoconf2.13"; autoconf2.13; \
	  cd ..; \
	done

# autoheader doesn't work in vbox ... is it needed?
#	  echo "  autoheader"; autoheader; \

	cd ipppd && autoconf

	touch auto-update-stamp

build: build-stamp
build-stamp: auto-update-stamp
	dh_testdir

	# we need a path to the kernel sources.
	# Link to top dir so that local choice can be preserved. That link must
	# be made first thing, otherwise it will try to unpack
	# /usr/src/kernel-source-2.4.*.tar.bz2 .
	#  This used to be "parent dir", but that doesn't always work for
	#  build daemons...
	# This has moved to an external script, as large chunks of shell
	# script in makefiles is an ugly solution.
	# sh debian/prepare-kernel-source $(DEB_HOST_ARCH)
	-rm -f ../linux

	# cp debian/isdnactivecards.files.all     debian/isdnactivecards.files
	# we need a .config file. Try isdnutils.config in parent directory first
	# so that local choice can be preserved.
	test -f ../isdnutils.config && cp ../isdnutils.config .config || \
	    sed -e "s#@KERNELDIR@#`pwd`/linux#" \
		< debian/dotconfig > .config
ifeq ($(some_arch_match),yes)
	: # build only isdnvboxclient on the "excluded" arches
	sed -e "s#@KERNELDIR@#`pwd`/linux#" \
		< debian/dotconfig.vboxclientonly > .config
endif

	# : # ugh
	# touch eurofile/configure

	$(MAKE) subconfig

	$(MAKE)


ifneq ($(some_arch_match),yes)
	cd isdnlog/tools/zone; $(MAKE) zonefiles
	cd Mini-FAQ; make
endif

	touch build-stamp

clean:
	dh_testdir
	dh_testroot

	-rm -rf linux debian/linux debian/kernel-source-*

	: # remove updated/added autotools files
	find . -name config.sub -o -name config.guess -o \
		-name autom4te.cache -o -name config.cache -o \
		-name config.log -o -name config.status -o -name aclocal.m4 -o \
		-name config.h -o -o -name ltmain.sh | xargs rm -f
	find . -type l \
	    \( -name install-sh -o -name mkinstalldirs -o -name missing \
	       -o -name compile -o -name depcomp \
	    \) \
		| xargs rm -f

	dh clean

	dh_clean

install: DH_OPTIONS=
install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs
	# Install ALL dirs into tmp also. Unfortunately there's no easy way...
	mkdir -p debian/tmp/sbin
	sort -u debian/*.dirs > debian/tmp.dirs
	dh_installdirs -Pdebian/tmp -pisdnutils `cat debian/tmp.dirs`
	rm debian/tmp.dirs

	# Add here commands to install the package into debian/tmp
	# (the files get moved out by dh_movefiles later)
	$(MAKE) install DESTDIR=$(CURDIR)/debian/tmp

	# empty dependency_libs field in *.la files
	sed -i "/dependency_libs/ s/'.*'/''/" "$(CURDIR)/debian/tmp/usr/lib/libcapi20.la"

	cp -p isdnlog/holiday-??.dat debian/tmp/usr/share/isdn/

ifneq ($(some_arch_match),yes)
	chmod +x debian/finish-install-first.sh
	debian/finish-install-first.sh
	mv debian/tmp/usr/bin/capifaxrcvd debian/tmp/usr/sbin/
endif
	: # These apply to all arch'es:
	mv debian/tmp/usr/share/man/man5/vbox_file.5 \
	    debian/tmp/usr/share/man/man5/vbox.5
	install -m 0644 vbox/examples/vboxrc.example \
	    debian/isdnvboxclient/usr/share/doc/isdnvboxclient/examples/vboxrc

ifneq ($(some_arch_match),yes)
	chmod +x debian/finish-install-last.sh
	debian/finish-install-last.sh
endif

	dh_install

# Build architecture-independent files here.
# Pass -i to all debhelper commands in this target to reduce clutter.
binary-indep: DH_OPTIONS=-i
binary-indep: build install
	dh_testdir
	dh_testroot
	dh_installdocs
	dh_installexamples
	dh_installchangelogs 
	dh_installman
	dh_link
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb

# Build architecture-dependent files here.
# Pass -a to all debhelper commands in this target to reduce clutter.
binary-arch: DH_OPTIONS=-s
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installdebconf
	dh_installdocs
	dh_installman
ifneq ($(some_arch_match),yes)
	install -m 0644 debian/README.MPPP debian/README.multiple-ipppd \
	    debian/ipppd/usr/share/doc/ipppd/
	#install -m 0644 debian/isdneurofile.README.Debian \
	#    debian/isdneurofile/usr/share/doc/isdneurofile/README.Debian
endif
	dh_installexamples
	dh_installmenu
#	dh_installpam
	# override the "global" DH_OPTIONS=-a setting for one command
ifneq ($(some_arch_match),yes)
	DH_OPTIONS='' dh_installinit -pcapiutils \
		--no-restart-on-upgrade --update-rcd-params='defaults 13 21'
	mkdir -p debian/capiutils/etc/modprobe.d
	cp -p debian/capiutils.blacklist \
		debian/capiutils/etc/modprobe.d/blacklist-capiutils.conf
endif
	# Ok, for two commands
	# No, for one command after all. Do this one by hand.
	# env DH_OPTIONS='' dh_installinit --no-restart-on-upgrade -pisdnutils-base
	# the postinst stuff normally done by dh is now statically in there.
ifneq ($(some_arch_match),yes)
	install -m 0755 debian/isdnutils-base.init \
		debian/isdnutils-base/etc/init.d/isdnutils
endif
	dh_installcron
ifneq ($(some_arch_match),yes)
	ln -s ../man7/isdn_cause.7.gz \
	    debian/isdnutils-base/usr/share/man/man1/isdncause.1.gz
endif

	dh_lintian
	dh_installchangelogs
	rm -rf debian/libcapi20-dev/usr/share/doc/libcapi20-dev
	ln -s libcapi20-3 debian/libcapi20-dev/usr/share/doc/libcapi20-dev
	dh_strip
	dh_link
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps -L libcapi20-3 -l debian/libcapi20-3/usr/lib
	# there's already a versioned depends in the control file for libcapi20-3
	perl -i -pe 's/, libcapi20-3//' debian/capiutils.substvars
	dh_gencontrol
	dh_md5sums
	dh_builddeb
	# checking that nothing is left behind...
	rm -f debian/tmp/etc/services # this should be ignored
x:
ifeq ($(some_arch_match),yes)
	echo "Ignore any of the 'still existing files' listed below on this architecture."
endif
	if [ ! -z "`find debian/tmp ! -type d`" ]; then echo "The following files still exist in debian/tmp/:"; find debian/tmp ! -type d -ls; fi;

## isdnutils 3.9.20060704+dfsg.3

=== Makefile ===
--- 
+++ 
@@ -1,11 +1,11 @@
-# $Id: Makefile,v 1.58 2005/02/21 17:51:57 keil Exp $
+# $Id: Makefile,v 1.60 2006/01/15 15:19:05 keil Exp $
 #
 # Toplevel Makefile for isdn4k-utils
 #
 
 .EXPORT_ALL_VARIABLES:
 
-export I4LVERSION = 3.7
+export I4LVERSION = 3.9
 
 all:	do-it-all

=== debian/changelog ===
isdnutils (1:3.9.20060704+dfsg.3-4) unstable; urgency=low

  * smooth out upgrades from b0rked libcapi20 packages. Closes: #656204
  * debian/init.d.functions: completely drop udev probing. Closes: #644315
  * debian/isdnlog.postinst: update path to isdnlog.DEVICE. Closes: #661074
    the file was moved around recently. My apologies for the regression.

 -- Rolf Leggewie <foss@rolf.leggewie.biz>  Fri, 24 Feb 2012 23:07:18 +0800

isdnutils (1:3.9.20060704+dfsg.3-3) unstable; urgency=low

  * libcapi20-{3,dev}: *.so files ought to be shipped in -dev package
  * libcapi20-dev: stop shipping .la files at all
  * drop some obsolete maintainer files
  * drop code to upgrade from ancient releases from maintainer files
  * let dh_installinit do its magic. Closes: #656125
  * debian/ipppd.postinst: ip-up and ip-down scripts changed file names
  * debian/rules: stop special-casing hurd and sh ARCH

 -- Rolf Leggewie <foss@rolf.leggewie.biz>  Tue, 17 Jan 2012 08:22:29 +0800

isdnutils (1:3.9.20060704+dfsg.3-2) unstable; urgency=medium

  * debian/libcapi20-dev.install: drop libcapi20.so file from the dev package
    Closes: #655840. Closes: #655760.
  * leverage more of debhelper in the build system (ongoing effort)
    - leverage more of the power of dh_{install,installppp,installdocs,
      installexamples,installinit,installlogrotate,installmodules}
    - drop debian/finish-install-last.sh
    - significantly reduce special-casing in debian/rules
    - call "dh install" from the install target instead of "dh_install"
      only.  The former implies the latter and more.
    - binary-indep and clean target fully migrated to dh
    - migrate most of binary-arch target over to dh as well
  * debian/cisco-config: drop unused file

 -- Rolf Leggewie <foss@rolf.leggewie.biz>  Sat, 14 Jan 2012 18:30:49 +0800

isdnutils (1:3.9.20060704+dfsg.3-1) unstable; urgency=medium

  [ Michael Mueller ]
  * debian/patches: export symbol alloc_applid for capi20. Closes: #650155

  [ Rolf Leggewie ]
  * create dfsg tarball 3.9.20060704+dfsg.3
    - stop shipping upstream capi20 which we fully replace with cvs trunk
    - drop .cvsignore files, too, while we're at it
  * leverage more of debhelper to do the packaging (ongoing effort)
  * debian/rules:
    - add "dummy" build-arch and build-indep target
    - clean target successfully moved to dh standard
  * debian/capiutils.init: drop code related to obsolete capifs.
    Closes: #651722, closes: #335283, closes: #414199, closes: #433992
  * debian/isdnlog.postinst: remove code to update from 10 year old package
  * libcapi20-3: install instead of explicitly creating links to libs
  * isdnutils-base: drop obsolete README.source

 -- Rolf Leggewie <foss@rolf.leggewie.biz>  Wed, 11 Jan 2012 12:17:14 +0800

=== debian/control ===
Source: isdnutils
Section: utils
Priority: extra
Maintainer: Rolf Leggewie <foss@rolf.leggewie.biz>
Uploaders: Jan-Michael Brummer <jan.brummer@tabos.org>
DM-Upload-Allowed: yes
Standards-Version: 3.9.2
Build-Depends: debhelper (>= 7.0.50~), bzip2, libncurses5-dev | libncurses-dev,
 xutils-dev | imake, tcl-dev, linuxdoc-tools (>=0.9.20), groff, libtool,
 libxaw7-dev, libreadline-dev, libpcap0.8-dev, autotools-dev,
 automake1.7, automake1.9, autoconf2.13, autoconf, libssl-dev, psutils,
 lsb-release, po-debconf
Homepage: http://www.isdn4linux.de
Vcs-Git: git://git.debian.org/git/collab-maint/isdnutils.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/isdnutils.git

Package: isdnutils-base
Priority: optional
Architecture: linux-any
Pre-Depends: debconf (>= 1.2.9) | debconf-2.0
Depends: ${shlibs:Depends}, lsb-base (>= 1.3-9ubuntu3), ${misc:Depends}
Suggests: ipppd, isdnlog, isdnutils-doc, isdnutils-xtools, isdnvboxserver, isdnvboxclient
Description: ISDN utilities - minimal set
 This package provides the basic set of ISDN utilities needed to make use
 of an ISDN card. For more complete functionality, install the isdnutils
 dependency package.

Package: isdnutils-xtools
Architecture: linux-any
Section: x11
Depends: isdnutils-base (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: ISDN utilities - graphical tools
 This package provides xmonisdn and xisdnload, which are graphical tools
 for ISDN. Each in its own way gives a visual indication of the status of
 the ISDN lines, so that (for example) it is obvious when there is a
 connection.
 .
 They have been split out into a separate package to allow the others
 in the suite to avoid dependencies on the X Window System.

Package: ipppd
Architecture: linux-any
Section: net
Depends: isdnutils-base (= ${binary:Version}), debconf (>=1.2.9) | debconf-2.0, ppp, ${shlibs:Depends}, ${misc:Depends}
Suggests: pdnsd
Description: ISDN utilities - PPP daemon
 This package provides the specially modified version of the Point to
 Point Protocol daemon needed to connect to the Internet through an
 internal ISDN card. It also supports dial-in connections from Windows
 clients.

Package: isdnlog
Architecture: linux-any
Depends: isdnutils-base (= ${binary:Version}), isdnlog-data (>= ${source:Version}),
 debconf (>=1.2.9) | debconf-2.0, ${shlibs:Depends}, ${misc:Depends}
Description: ISDN utilities - connection logger
 This package provides a set of utilities that can log ISDN connections and
 calculate the cost of calls. If sufficient data is available, it can even
 recommend which alternate carrier would have been cheaper for a given call.
 For countries where calls are charged per discrete unit, it can disconnect
 the line just before the next unit starts.

Package: isdnlog-data
Architecture: all
Depends: ${misc:Depends}
Recommends: isdnlog (>= ${source:Version})
Suggests: isdnutils-doc
Description: ISDN utilities - connection logger data
 This package provides data related to call pricing, area codes, etcetera,
 in various countries, and is only useful with isdnlog.

Package: isdnutils-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}
Suggests: isdnutils-base (= ${source:Version})
Description: ISDN utilities - documentation
 This package includes the FAQ and other miscellaneous documentation
 for the ISDN utilities suite, in English and German.

Package: isdnvbox
Architecture: linux-any
Depends: isdnvboxclient, isdnvboxserver, ${misc:Depends}
Recommends: sox
Description: ISDN utilities - answering machine dependency package
 Let your Debian system be your answering machine! Messages can be accessed
 remotely, automatically emailed, etc.
 .
 This package depends for convenience on both the vbox server (with which
 the messages are recorded) and the client (with which you listen to them).

Package: isdnvboxclient
Architecture: linux-any
Depends: ${shlibs:Depends}, sox | nas-bin | alsa-utils, ${misc:Depends}
Suggests: isdnvboxserver, isdnutils-doc
Description: ISDN utilities - answering machine client
 Let your Debian system be your answering machine! Messages can be accessed
 remotely, automatically emailed, etc.
 .
 This package provides the vbox client, with which you can listen to the
 messages recorded by a vbox server (either running on the same machine or
 accessible over the network).

Package: isdnvboxserver
Architecture: linux-any
Depends: isdnutils-base (= ${binary:Version}), debconf (>=1.2.9) | debconf-2.0,
 ${shlibs:Depends}, openbsd-inetd | inet-superserver, ${misc:Depends}
Suggests: isdnvboxclient
Description: ISDN utilities - answering machine server
 Let your Debian system be your answering machine! Messages can be accessed
 remotely, automatically emailed, etc.
 .
 This package provides the vbox server, which must be installed on the
 system with the ISDN card. To actually listen to the recorded messages
 you need the client package (isdnvboxclient) somewhere, not necessarily on
 the same system.

Package: capiutils
Architecture: linux-any
Depends: libcapi20-3 (= ${binary:Version}), ${shlibs:Depends},
 lsb-base (>= 1.3-9ubuntu3), ${misc:Depends}
Section: net
Description: ISDN utilities - tools for CAPI-capable cards
 Some ISDN cards (notably the AVM active cards, and the AVM passive cards
 when using the proprietary drivers) are accessed via the CAPI interface.
 The package contains utilities to initialize and get information about
 these cards.

Package: libcapi20-3
Architecture: linux-any
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: isdnutils-doc
Description: ISDN utilities - CAPI support libraries
 If you have an ISDN card with which CAPI works, you may be able to use
 CAPI-capable applications such as fax systems. At this point, AVM cards can
 work with CAPI, as well as some active cards. For the AVM passive cards you
 need to visit the www.AVM.de website.
 .
 This package will be installed automatically if needed.

Package: libcapi20-dev
Architecture: linux-any
Section: libdevel
Depends: libcapi20-3 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Replaces: libcapi20-3 (<< 1:3.9.20060704+dfsg.3-4)
Suggests: isdnutils-doc
Description: ISDN utilities - CAPI development libraries
 If you have an ISDN card with which CAPI works, you may be able to use
 CAPI-capable applications such as fax systems. At this point, AVM cards can
 work with CAPI, as well as some active cards. For the AVM passive cards you
 need to visit the www.AVM.de website.
 .
 This package provides files needed for development of CAPI-aware software.

Package: pppdcapiplugin
Architecture: linux-any
Depends: ppp (>= 2.4.4), ppp (<< 2.4.6), libcapi20-3 (= ${binary:Version}),
 ${shlibs:Depends}, ${misc:Depends}
Section: net
Description: ISDN utilities - pppd plug-in for CAPI support
 Some ISDN cards can be used by CAPI utilities - for instance the AVM
 passive cards, when a module from the AVM website is loaded.
 .
 This package provides a plug-in for the regular PPP daemon to use CAPI
 on such cards.

# Package: isdnactivecards
# Architecture: alpha amd64 arm armeb armel armhf hppa i386 ia64 m68k mips mipsel powerpc ppc64 sparc s390 sh4 sparc64
# Depends: isdnutils-base (= ${binary:Version}), capiutils (>= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
# Description: ISDN utilities - active ISDN card support
#  This package provides firmware and firmware-loading utilities for active
#  ISDN cards (the Eicon, Eicon Diva, IBM Active 2000, ICN, or PCBIT-D cards).

# Package: isdneurofile
# Architecture: alpha amd64 arm armeb armel armhf hppa i386 ia64 m68k mips mipsel powerpc ppc64 sparc s390 sh4 sparc64
# Section: comm
# Depends: isdnutils-base (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
# Description: ISDN utilities - EUROFILE support
#  This package provides tools for sending/receiving files over an ISDN
#  connection via the EUROFILE protocol, which is not used much outside of
#  Germany (or even inside it).

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper. 
# GNU copyright 1997 by Joey Hess.

# Uncomment this to turn on verbose mode. 
# export DH_VERBOSE=1

# This has to be exported to make some magic below work.
export DH_OPTIONS

# brace expansion
export SHELL=/bin/bash

override_dh_installexamples:
	dh_installexamples -X.in

override_dh_shlibdeps:
	dh_shlibdeps -L libcapi20-3 -l debian/libcapi20-3/usr/lib

auto: auto-update-stamp
auto-update-stamp:
	: # update autotools files
	for d in capi20 isdnlog/client vbox3; do \
	  cp -p /usr/share/misc/config.* $$d/; \
	done

	@set -e; \
	for d in capi20; do \
	  echo "Regenerating autotools files in $$d ..."; \
	  cd $$d; \
	  echo "  libtool"; libtoolize -c -f ; \
	  echo "  aclocal-1.9"; aclocal-1.9; \
	  echo "  automake-1.9"; automake-1.9 --add-missing; \
	  cd ..; \
	done

	@set -e; \
	for d in capifax capiinfo capiinit rcapid; do \
	  echo "Regenerating autotools files in $$d ..."; \
	  cd $$d; \
	  echo "  aclocal"; aclocal; \
	  echo "  autoconf"; autoconf; \
	  case "$$d" in rcapid);; *) echo "  autoheader"; autoheader; esac; \
	  echo "  automake"; automake --add-missing; \
	  touch configure.in; \
	  touch aclocal.m4; \
	  touch configure; \
	  cd ..; \
	done

ifeq (0,1)
	: # does not work, automake-1.3 was used ...
	@set -e; \
	for d in isdnlog/client; do \
	  echo "Regenerating autotools files in $$d ..."; \
	  cd $$d; \
	  echo "  aclocal"; aclocal; \
	  echo "  autoconf"; autoconf; \
	  echo "  autoheader"; autoheader; \
	  echo "  automake"; automake -c --add-missing; \
	  touch configure.in; \
	  touch aclocal.m4; \
	  touch configure; \
	  cd ..; \
	done
endif
	@set -e; \
	for d in vbox; do \
	  echo "Regenerating autotools files in $$d ..."; \
	  cd $$d; \
	  echo "  aclocal-1.7"; aclocal-1.7; \
	  echo "  autoconf"; autoconf; \
	  echo "  automake-1.7"; automake-1.7 -c --add-missing; \
	  touch configure.in; \
	  touch aclocal.m4; \
	  touch configure; \
	  cd ..; \
	done

	@set -e; \
	for d in eicon; do \
	  echo "Regenerating autotools files in $$d ..."; \
	  cd $$d; \
	  echo "  autoconf2.13"; autoconf2.13; \
	  cd ..; \
	done

# autoheader doesn't work in vbox ... is it needed?
#	  echo "  autoheader"; autoheader; \

	cd ipppd && autoconf

	touch auto-update-stamp

build: build-arch build-indep
build-arch: build-stamp
build-indep: build-stamp
build-stamp: auto-update-stamp
	dh_testdir

	# we need a path to the kernel sources.
	# Link to top dir so that local choice can be preserved. That link must
	# be made first thing, otherwise it will try to unpack
	# /usr/src/kernel-source-2.4.*.tar.bz2 .
	#  This used to be "parent dir", but that doesn't always work for
	#  build daemons...
	# This has moved to an external script, as large chunks of shell
	# script in makefiles is an ugly solution.
	# sh debian/prepare-kernel-source $(DEB_HOST_ARCH)
	-rm -f ../linux

	# cp debian/isdnactivecards.files.all     debian/isdnactivecards.files
	# we need a .config file. Try isdnutils.config in parent directory first
	# so that local choice can be preserved.
	test -f ../isdnutils.config && cp ../isdnutils.config .config || \
	    sed -e "s#@KERNELDIR@#`pwd`/linux#" \
		< debian/dotconfig > .config

	$(MAKE) subconfig

	$(MAKE)

	cd isdnlog/tools/zone; $(MAKE) zonefiles
	cd Mini-FAQ; make

	touch build-stamp

# XXX this is the standard dh call
clean:
	dh clean

install: DH_OPTIONS=
install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs
	# Install ALL dirs into tmp also. Unfortunately there's no easy way...
	mkdir -p debian/tmp/sbin
	sort -u debian/*.dirs > debian/tmp.dirs
	dh_installdirs -Pdebian/tmp -pisdnutils `cat debian/tmp.dirs`
	rm debian/tmp.dirs

	# Add here commands to install the package into debian/tmp
	# (the files get moved out by dh_movefiles later)
	$(MAKE) install DESTDIR=$(CURDIR)/debian/tmp

	chmod +x debian/finish-install-first.sh
	debian/finish-install-first.sh
	mv debian/tmp/usr/bin/capifaxrcvd debian/tmp/usr/sbin/
	mv debian/tmp/usr/share/man/man5/vbox_file.5 \
	    debian/tmp/usr/share/man/man5/vbox.5
	install -m 0644 vbox/examples/vboxrc.example \
	    debian/isdnvboxclient/usr/share/doc/isdnvboxclient/examples/vboxrc

	# remove some unwanted stuff
	set -e
	if [ -s debian/isdneurofile/etc/init.d/eftd.sh ]; then mv debian/isdneurofile/etc/init.d/eftd.sh debian/isdneurofile/etc/init.d/isdneurofile; fi
	rm -f debian/pppdcapiplugin/usr/share/doc/pppdcapiplugin/examples/adsl.conf	# already in /etc/drsdl
	rm -f usr/share/doc/isdnutils-doc/isdn-faq.txt.gz				# already in ./Mini-FAQ/
	rm -vf debian/tmp/etc/isdn/isdnlog.isdnctrl0.options
	rm -vf debian/tmp/usr/share/man/man1/xmonisdn.1x*

	dh install

binary-indep: build install
	dh binary-indep

# Build architecture-dependent files here.
# Pass -a to all debhelper commands in this target to reduce clutter.
binary-arch: DH_OPTIONS=-s
binary-arch: build install
	dh_testdir
	dh_testroot
	ln -s ../man7/isdn_cause.7.gz \
	    debian/isdnutils-base/usr/share/man/man1/isdncause.1.gz
	rm -rf debian/libcapi20-dev/usr/share/doc/libcapi20-dev
	ln -s libcapi20-3 debian/libcapi20-dev/usr/share/doc/libcapi20-dev

	# checking that nothing is left behind...
	rm -f debian/tmp/etc/services # this should be ignored
	dh binary-arch

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

=== debian/watch ===
version=3
opts="dversionmangle=s/.*(2[[:digit:]]+).dfsg.*/$1/,uversionmangle=s/-//g" \
  ftp://ftp.isdn4linux.de/pub/isdn4linux/CVS-Snapshots/isdn4k-utils-CVS-([-\d\.]*)\.tar\.bz2

## isdnutils 3.10.20070306

=== Makefile ===
--- 
+++ 
@@ -1,11 +1,11 @@
-# $Id: Makefile,v 1.60 2006/01/15 15:19:05 keil Exp $
+# $Id: Makefile,v 1.61 2006/08/08 13:23:28 keil Exp $
 #
 # Toplevel Makefile for isdn4k-utils
 #
 
 .EXPORT_ALL_VARIABLES:
 
-export I4LVERSION = 3.9
+export I4LVERSION = 3.10
 
 all:	do-it-all

## isdnutils 3.12.20071127

=== imontty/Makefile ===
# tty line ISDN status monitor
#
# (c) 1995-97 Volker Gtz
#
# $Id: Makefile,v 1.8 2006/01/15 15:08:55 keil Exp $

ifeq (../.config,$(wildcard ../.config))
	#
	# Automatic config with isdn4k-utils
	#
	include ../.config
	MAN8DIR         := $(CONFIG_MANDIR)/man8
else
	#
	# Manual config standalone
	#
	CONFIG_SBINDRIR := /sbin
	MAN8DIR         := /usr/man/man8
endif

INSTALL=install
INSTALL_MAN=$(INSTALL) -o 0 -g 0 -m 0644
MANPAGE=imontty.8

CCFLAGS=-O2
#CCFLAGS=-I$(ISDN_INCLUDE) -g

# nothing to change behind this line

PROGS=imontty

all: $(PROGS)

imontty: imontty.c imontty.h
	cc $(CFLAGS) $(CCFLAGS) -o imontty imontty.c

rootperm:
	@echo 'main(int argc,char**argv){unlink(argv[0]);return(getuid()==0);}'>g
	@if gcc -x c -o G g && rm -f g && ./G ; then \
		echo -e "\n\n      Need root permission for (de)installation!\n\n"; \
		exit 1; \
	fi

imontty.8: imontty.8.in
	MANDATE=`grep CHECKIN $< | awk '{print $$4}'`; \
	sed \
	   -e "s#\@MANDATE\@#$${MANDATE}#g" \
	   -e "s#\@I4LVERSION\@#$${I4LVERSION}#g" \
	   < $< > $@

install-man: $(MANPAGE)
	mkdir -p $(DESTDIR)$(MAN8DIR)
	$(INSTALL_MAN) $< $(DESTDIR)$(MAN8DIR)/$(MANPAGE)

install: $(PROGS) rootperm install-man
	install -s -o 0 -g 0 -m 0755 $(PROGS) $(DESTDIR)$(CONFIG_SBINDIR)

uninstall: rootperm
	for i in $(PROGS) ; do rm -f $(DESTDIR)$(CONFIG_SBINDIR)/$$i; done

clean:
	rm -f *.o $(PROGS) *~

distclean: clean
	rm -f $(MANPAGE)

#
# dummy for isdn4k-utils package
#
config:

=== pppdcapiplugin/Makefile ===
# Makefile for the capiplugin for pppd(8).
#
# Copyright 2000 Carsten Paeth (calle@calle.in-berlin.de)
# Copyright 2000 AVM GmbH Berlin (info@avm.de)
#
#  This program is free software; you can redistribute it and/or
#  modify it under the terms of the GNU General Public License
#  as published by the Free Software Foundation; either version
#  2 of the License, or (at your option) any later version.

export TOPDIR=$(shell pwd)
export CAPIINC=$(TOPDIR)/../capi20
export CAPILIB=$(TOPDIR)/../capi20
export INSTALL=$(TOPDIR)/install-sh -c
export INSTALLDATA=$(TOPDIR)/install-sh -c -o root -m 600
export MKDIR=$(TOPDIR)/mkinstalldirs
export PPPINC=/usr/include/pppd

ifeq ($(PPPVERSION),)
PPPVERSION_XX=$(shell grep VERSION $(PPPINC)/patchlevel.h)
PPPVERSION=$(word 3,$(PPPVERSION_XX))
endif

PEERDIR=${DESTDIR}/etc/ppp/peers/isdn
DRDSLDIR=${DESTDIR}/etc/drdsl
PEERS= arcor otelo talkline avm avm-ml leased
DRDSLFILES = adsl.conf

ALL = capiplugin.so userpass.so

#all: pversion
#	@for i in $(PPPVERSIONS) ; do \
#	    echo $(MAKE) -C ppp-$$i PPPVERSION=$$i $@ ; \
#	    $(MAKE) -C ppp-$$i PPPVERSION=$$i $@ ; \
#	done

all: pversion ppp-$(PPPVERSION)
	echo $(MAKE) -C ppp-$(PPPVERSION) PPPVERSION=$(PPPVERSION)
	$(MAKE) -C ppp-$(PPPVERSION) PPPVERSION=$(PPPVERSION)

ppp-$(PPPVERSION):
	$(MKDIR) ppp-$(PPPVERSION)
	echo created ppp-$(PPPVERSION)
	cp Makefile.template ppp-$(PPPVERSION)/Makefile

distclean: clean

clean:
	echo $(MAKE) -C ppp-$(PPPVERSION) PPPVERSION=$(PPPVERSION) $@ ;
	$(MAKE) -C ppp-$(PPPVERSION) PPPVERSION=$(PPPVERSION) $@ ;

install-peers:
	$(MKDIR) $(PEERDIR)
	@for i in $(PEERS); do \
		echo $(INSTALLDATA) peers/$$i $(PEERDIR); \
		$(INSTALLDATA) peers/$$i $(PEERDIR); \
	done

install-drdsl:
	$(MKDIR) $(DRDSLDIR)
	@for i in $(DRDSLFILES); do \
		if [ -f $(DRDSLDIR)/$$i ] ; then \
		   echo $(DRDSLDIR)/$$i already exists ; \
		else \
		  echo $(INSTALLDATA) examples/$$i $(DRDSLDIR); \
		  $(INSTALLDATA) examples/$$i $(DRDSLDIR); \
		fi \
	done

install-man:
	for i in ${DESTDIR}/usr/share/man ${DESTDIR}/usr/man; do \
		if [ -d $$i/man8 ] ; then \
			echo $(INSTALLDATA) capiplugin.8 $$i/man8; \
			$(INSTALLDATA) capiplugin.8 $$i/man8; \
		fi ; \
	done

install:
	echo $(MAKE) -C ppp-$(PPPVERSION) PPPVERSION=$(PPPVERSION) $@ ;
	$(MAKE) -C ppp-$(PPPVERSION) PPPVERSION=$(PPPVERSION) $@ ;
	$(MAKE) install-peers
	$(MAKE) install-drdsl
	$(MAKE) install-man

srcsetup:
	@for v in $(PPPVERSIONS) ; do \
	    $(MKDIR) ppp-$$v/pppd ; \
	    echo $(INSTALL) Makefile.template ppp-$$v/Makefile ; \
	    $(INSTALL) Makefile.template ppp-$$v/Makefile ; \
	    for h in pppd.h patchlevel.h ; do \
	        echo $(INSTALL) $(PPPSRCDIRS)/ppp-$$v/pppd/$$h ppp-$$v/pppd ; \
	        $(INSTALL) $(PPPSRCDIRS)/ppp-$$v/pppd/$$h ppp-$$v/pppd ; \
	    done \
	done

config:
	@echo nothing to configure

=== eurofile/src/eftp/Makefile ===
#$Id: Makefile,v 1.4 2000/06/08 10:06:02 keil Exp $
# This Makefile uses GNU-make extensions

default: eftp


#
# If EFT_LIBDIR or EFT_INCDIR are set (the top level makefile
# does so) this makefile will generate dependencies and search pathes
# (refering to the libraries and corresponding header files).
#
# Otherwise (for stand-alone compilation), no such dependencies are generated
# and libraries and includes are only searched in the standard location only.
#

ifdef EFT_LIBDIR
EFT_LIBDIR_FLAGS := -L $(EFT_LIBDIR) 
eftp: $(EFT_LIBDIR)/libeft.a 
endif

ifdef EFT_INCDIR
EFT_INCDIR_FLAGS := -I $(EFT_INCDIR) 
eftp.o: $(EFT_INCDIR)/tdu_user.h $(EFT_INCDIR)/eft.h
endif

ifeq ($(CONFIG_EFTP_READLINE),y)
READLINE_CFLAGS=-DCONFIG_EFTP_READLINE
READLINE_LDFLAGS= -lncurses -lreadline
endif

eftp.o:	eftp.c
	$(CC) $(CFLAGS) $(EFT_INCDIR_FLAGS) -c $(READLINE_CFLAGS) eftp.c -o eftp.o

eftp: eftp.o $(READLINE_O)
	$(LINK.C) eftp.o $(EFT_LIBDIR_FLAGS) $(READLINE_LDFLAGS) -left -o eftp

install: eftp
	$(INSTALL_PROGRAM) eftp $(DESTDIR)$(BINDIR)/
ifeq ($(CONFIG_EFTP_SETUID),y)
	chmod u+s $(DESTDIR)$(BINDIR)/eftp 
endif	

clean:
	rm -f eftp *.o 

.PHONY: clean default

=== eurofile/src/wuauth/Makefile ===
#
# Makefile for Linux 1.2.13 with gcc 2.6.3
#
# $Id: Makefile,v 1.2 2006/01/15 15:08:55 keil Exp $
#
CC     = gcc 
AR     = ar cq
RANLIB = ranlib
LIBC   = /lib/libc.a
IFLAGS = 
LFLAGS = 
MYCFLAGS = -O6 -fomit-frame-pointer -fno-strength-reduce -pipe ${IFLAGS} ${LFLAGS}
CFLAGS = -g

SRCS   = strcasestr.c access.c divfunc.c private.c acl.c main.c sigfix.c  \
#	extensions.c

OBJS   = strcasestr.o access.o divfunc.o private.o acl.o main.o sigfix.o \
#	extensions.o
 
libwuauth.a: $(OBJS)
	-rm -f libwuauth.a
	${AR} libwuauth.a $(OBJS)
	${RANLIB} libwuauth.a
 
clean:
	-rm -f *.o libwuauth.a *~ #*#

ftp.h:
	install -c -m 444 ftp.h /usr/include/arpa

.c.o:
	${CC} ${CFLAGS} ${MYCFLAGS} -c $<

strcasestr.o: strcasestr.c
	${CC} ${CFLAGS} ${MYCFLAGS} -c strcasestr.c

authuser.o: authuser.c
	${CC} ${CFLAGS} ${MYCFLAGS} -c authuser.c

snprintf.o: snprintf.c
	${CC} ${CFLAGS} ${MYCFLAGS} -c snprintf.c
